dns.c(3)

NAME
dns.c - Functions for resolving names/IPs.

SYNOPSIS

#include <config.h>
#include <sys/types.h>
#include <stddef.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdarg.h>
#include <time.h>
#include <errno.h>
#include <netdb.h>
#include <netinet/in.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_dns_st

  Functions
INITIALIZER (dns_init)
int wget_dns_init (wget_dns **dns)
void wget_dns_free (wget_dns **dns)
void wget_dns_set_timeout (wget_dns *dns, int timeout)
void wget_dns_set_cache (wget_dns *dns, wget_dns_cache *cache)
wget_dns_cache * wget_dns_get_cache (wget_dns *dns)
int wget_dns_cache_ip (wget_dns *dns, const char *ip, const char *name, uint16_t port)
struct addrinfo * wget_dns_resolve (wget_dns *dns, const char *host, uint16_t port, int family, int preferred_family)
void wget_dns_freeaddrinfo (wget_dns *dns, struct addrinfo **addrinfo)
void wget_dns_set_stats_callback (wget_dns *dns, wget_dns_stats_callback *fn, void *ctx)

Detailed Description

Functions for resolving names/IPs.

Author

Generated automatically by Doxygen for wget2 from the source code.